# htp on-line reference : IMG

## syntax

`File image.gif <FILE NAME="image.gif" SIZE=KBYTE> kilobytes
Last modified <FILE NAME="image.gif" TIME>, <FILE NAME="image.gif" DATE>
`

## synopsis

img is a standard HTML tag. htp can add the specified image's width and height to the tag automatically. This has the advantage of not having to determine each image's size manually, which is especially useful if the image may change frequently.

htp adds this information with the WIDTH and HEIGHT markup attributes. If htp detects these attributes are already present in the tag, it will not modify the values. If htp cannot find the image file, it will issue a warning but not halt processing.

At this time, GIF (Graphic Interchange Format), PNG (Portable Network Graphics), and JFIF (JPEG File Interchange Format) are supported.

The IMGXY and NOIMGXY options control whether or not htp actually adds this information as it executes.

Since htp is able to lookup files only in the local filesystem, the IMAGEURL tag may be used to map URLs to local files.

htp can also add default ALT text to IMG tags using ALTTEXT.

hosted by Sourceforge HTML coding

Copyright © 1995–96 Jim Nelson. Copyright © 2001–2014 Jochen Hoenicke. Permission to reproduce and distribute this hypertext document granted according to terms described in the License section. last updated Sat May 16, 2015